## NAME

g.setproj - Interactively reset the location's projection settings.

## KEYWORDS

general, projection

## SYNOPSIS

g.setproj
g.setproj help
g.setproj [-n] [description="phrase"] [--verbose] [--quiet]

### Flags:

-n
  Print the location's one line description and exit
--verbose
  Verbose module output
--quiet
  Quiet module output

### Parameters:

description="phrase"
  Reset the location's one line description with this text, then exit

## DESCRIPTION

Allows a user to create a PROJ_INFO file in the PERMANENT mapset of the current location. PROJ_INFO file is used to record the projection information associated with the specified mapset.

## NOTES

The user running g.setproj must own the PERMANENT mapset and it must be currently selected. It is highly recommended to run g.setproj after creating a new location so that conversion programs (such as v.proj) can be run.

The user will be prompted for the projection name. Most projections are supported. The PROJ.4 abbreviations for the names are used with two exceptions, viz. 'll', for latitude / longitude geographic co-ordinates, and 'stp', for the State Plane Co-ordinate system (used in the USA).

After the projection name, the user will be asked for a geodetic datum. If no datum transformation support is needed, the question may be answered with no, and no datum will be specified in the PROJ_INFO file. If this is the case the user must specify the ellipsoid (model of the curvature of the earth) to be used, otherwise it is determined by the datum being used.

If the datum or ellipsoid required are not listed within this program, the user/administrator may add the definition to the files datum.table, datumtransform.table and ellipse.table in the $GISBASE/etc/ directory.

Depending on the projection selected, the user will then be prompted for the various other parameters required to define it.

The projections of aea, lcc, merc, leae, leac, and tmerc will generate a request to the user for the prime meridian and standard parallel for the output map.

## SEE ALSO

g.proj, m.proj, r.proj, v.proj, PROJ.4

Further reading

- A guide to Map Projections by USGS
- ASPRS Grids and Datum
- MapRef - The Collection of Map Projections and Reference Systems for Europe
- Projections Transform List (PROJ4)

## AUTHOR

Irina Kosinovsky, U.S. Army Construction Engineering Research Laboratory
Morten Hulden, morten at untamo.net - rewrote module and added 121 projections
Andreas Lange, andreas.lange at rhein-main.de - added prelimnary map datum support

Last changed: $Date: 2012-03-30 13:47:33 +0200 (pá, 30 III 2012) $

Main index - general index - Full index

© 2003-2014 GRASS Development Team